# doIn

inline suspend fun < T > doIn (context: CoroutineContext , noinline block: suspend CoroutineScope.() -> T ): T (source)

Executes the given block in the specified coroutine context and returns its result. This is a convenience wrapper around withContext.

#### Return

The result of executing the block

#### Parameters

context

The CoroutineContext in which to execute the block

block

The suspending function to execute

#### Type Parameters

T

The return type of the block